Package (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.walls

## Class Package

- java.lang.Object
- - net.sf.antcontrib.walls.Package

-     public class Package
      extends java.lang.Object

  FILL IN JAVADOC HERE
  Author:
    Dean Hiller(dean@xsoftware.biz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Package()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getBuildSpace(java.io.File baseDir)`
    `org.apache.tools.ant.types.FileSet` | `getClassCopyFileSet(org.apache.tools.ant.Project p, org.apache.tools.ant.Location l)` FILL IN JAVADOC HERE
    `org.apache.tools.ant.types.Path` | `getClasspath(java.io.File baseDir, org.apache.tools.ant.Project p)`
    `java.lang.String[]` | `getDepends()`
    `org.apache.tools.ant.types.FileSet` | `getJavaCopyFileSet(org.apache.tools.ant.Project p, org.apache.tools.ant.Location l)` FILL IN JAVADOC HERE
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPackage()`
    `org.apache.tools.ant.types.Path` | `getSrcPath(java.io.File baseDir, org.apache.tools.ant.Project p)`
    `void` | `setDepends(java.lang.String d)`
    `void` | `setFaultReason(java.lang.String r)` FILL IN JAVADOC HERE
    `void` | `setName(java.lang.String name)`
    `void` | `setPackage(java.lang.String pack)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Package

          public Package()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### setPackage

          public void setPackage(java.lang.String pack)

    - #### getPackage

          public java.lang.String getPackage()

    - #### setDepends

          public void setDepends(java.lang.String d)

    - #### getDepends

          public java.lang.String[] getDepends()

    - #### getJavaCopyFileSet

          public org.apache.tools.ant.types.FileSet getJavaCopyFileSet(org.apache.tools.ant.Project p,
                                                              org.apache.tools.ant.Location l)
                                                                throws org.apache.tools.ant.BuildException

      FILL IN JAVADOC HERE
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### getClassCopyFileSet

          public org.apache.tools.ant.types.FileSet getClassCopyFileSet(org.apache.tools.ant.Project p,
                                                               org.apache.tools.ant.Location l)
                                                                 throws org.apache.tools.ant.BuildException

      FILL IN JAVADOC HERE
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### getBuildSpace

          public java.io.File getBuildSpace(java.io.File baseDir)

    - #### getSrcPath

          public org.apache.tools.ant.types.Path getSrcPath(java.io.File baseDir,
                                                   org.apache.tools.ant.Project p)

      Returns:
        the source path

    - #### getClasspath

          public org.apache.tools.ant.types.Path getClasspath(java.io.File baseDir,
                                                     org.apache.tools.ant.Project p)

      Returns:
        the classpath

    - #### setFaultReason

          public void setFaultReason(java.lang.String r)

      FILL IN JAVADOC HERE
      Parameters:
        `r` - a fault reason string